Index: LMDZ5/branches/testing/libf/phylmd/write_histrac.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/write_histrac.h	(revision 1663)
+++ LMDZ5/branches/testing/libf/phylmd/write_histrac.h	(revision 1664)
@@ -3,11 +3,11 @@
 !  ECRITURE DU FICHIER :  histrac.nc
 !***************************************
-  IF (ecrit_tra > 0. .AND. config_inca == 'none') THEN
+  IF (ecrit_tra > 0.) THEN
      
      itau_w = itau_phy + nstep
      
-     CALL histwrite_phy(nid_tra,"phis",itau_w,pphis)
-     CALL histwrite_phy(nid_tra,"aire",itau_w,airephy)
-     CALL histwrite_phy(nid_tra,"zmasse",itau_w,zmasse)
+     CALL histwrite_phy(nid_tra,.FALSE.,"phis",itau_w,pphis)
+     CALL histwrite_phy(nid_tra,.FALSE.,"aire",itau_w,airephy)
+     CALL histwrite_phy(nid_tra,.FALSE.,"zmasse",itau_w,zmasse)
 
 !TRACEURS
@@ -17,23 +17,23 @@
 
 ! CONCENTRATIONS
-        CALL histwrite_phy(nid_tra,tname(iiq),itau_w,tr_seri(:,:,it))
+        CALL histwrite_phy(nid_tra,.FALSE.,tname(iiq),itau_w,tr_seri(:,:,it))
 
 ! TD LESSIVAGE       
         IF (lessivage .AND. aerosol(it)) THEN
-           CALL histwrite_phy(nid_tra,"fl"//tname(iiq),itau_w,flestottr(:,:,it))
+           CALL histwrite_phy(nid_tra,.FALSE.,"fl"//tname(iiq),itau_w,flestottr(:,:,it))
         ENDIF
 
 ! TD THERMIQUES
         IF (iflag_thermals.gt.0) THEN
-           CALL histwrite_phy(nid_tra,"d_tr_th_"//tname(iiq),itau_w,d_tr_th(:,:,it))
+           CALL histwrite_phy(nid_tra,.FALSE.,"d_tr_th_"//tname(iiq),itau_w,d_tr_th(:,:,it))
         ENDIF
 
 ! TD CONVECTION
         IF (iflag_con.GE.2) THEN
-           CALL histwrite_phy(nid_tra,"d_tr_cv_"//tname(iiq),itau_w,d_tr_cv(:,:,it))
+           CALL histwrite_phy(nid_tra,.FALSE.,"d_tr_cv_"//tname(iiq),itau_w,d_tr_cv(:,:,it))
         ENDIF
 
 ! TD COUCHE-LIMITE
-        CALL histwrite_phy(nid_tra,"d_tr_cl_"//tname(iiq),itau_w,d_tr_cl(:,:,it))
+        CALL histwrite_phy(nid_tra,.FALSE.,"d_tr_cl_"//tname(iiq),itau_w,d_tr_cl(:,:,it))
      ENDDO
 !---------------
@@ -41,37 +41,37 @@
 !
 ! VENT (niveau 1)   
-     CALL histwrite_phy(nid_tra,"pyu1",itau_w,yu1)
-     CALL histwrite_phy(nid_tra,"pyv1",itau_w,yv1)
+     CALL histwrite_phy(nid_tra,.FALSE.,"pyu1",itau_w,yu1)
+     CALL histwrite_phy(nid_tra,.FALSE.,"pyv1",itau_w,yv1)
 !
 ! TEMPERATURE DU SOL
      zx_tmp_fi2d(:)=ftsol(:,1)         
-     CALL histwrite_phy(nid_tra,"ftsol1",itau_w,zx_tmp_fi2d)
+     CALL histwrite_phy(nid_tra,.FALSE.,"ftsol1",itau_w,zx_tmp_fi2d)
      zx_tmp_fi2d(:)=ftsol(:,2)
-     CALL histwrite_phy(nid_tra,"ftsol2",itau_w,zx_tmp_fi2d)
+     CALL histwrite_phy(nid_tra,.FALSE.,"ftsol2",itau_w,zx_tmp_fi2d)
      zx_tmp_fi2d(:)=ftsol(:,3)
-     CALL histwrite_phy(nid_tra,"ftsol3",itau_w,zx_tmp_fi2d)
+     CALL histwrite_phy(nid_tra,.FALSE.,"ftsol3",itau_w,zx_tmp_fi2d)
      zx_tmp_fi2d(:)=ftsol(:,4)
-     CALL histwrite_phy(nid_tra,"ftsol4",itau_w,zx_tmp_fi2d)
+     CALL histwrite_phy(nid_tra,.FALSE.,"ftsol4",itau_w,zx_tmp_fi2d)
 !      
 ! NATURE DU SOL
      zx_tmp_fi2d(:)=pctsrf(:,1)
-     CALL histwrite_phy(nid_tra,"psrf1",itau_w,zx_tmp_fi2d)
+     CALL histwrite_phy(nid_tra,.FALSE.,"psrf1",itau_w,zx_tmp_fi2d)
      zx_tmp_fi2d(:)=pctsrf(:,2)
-     CALL histwrite_phy(nid_tra,"psrf2",itau_w,zx_tmp_fi2d)
+     CALL histwrite_phy(nid_tra,.FALSE.,"psrf2",itau_w,zx_tmp_fi2d)
      zx_tmp_fi2d(:)=pctsrf(:,3)
-     CALL histwrite_phy(nid_tra,"psrf3",itau_w,zx_tmp_fi2d)
+     CALL histwrite_phy(nid_tra,.FALSE.,"psrf3",itau_w,zx_tmp_fi2d)
      zx_tmp_fi2d(:)=pctsrf(:,4)
-     CALL histwrite_phy(nid_tra,"psrf4",itau_w,zx_tmp_fi2d)
+     CALL histwrite_phy(nid_tra,.FALSE.,"psrf4",itau_w,zx_tmp_fi2d)
  
 ! DIVERS    
-     CALL histwrite_phy(nid_tra,"pplay",itau_w,pplay)     
-     CALL histwrite_phy(nid_tra,"T",itau_w,t_seri)     
-     CALL histwrite_phy(nid_tra,"mfu",itau_w,pmfu)
-     CALL histwrite_phy(nid_tra,"mfd",itau_w,pmfd)
-     CALL histwrite_phy(nid_tra,"en_u",itau_w,pen_u)
-     CALL histwrite_phy(nid_tra,"en_d",itau_w,pen_d)
-     CALL histwrite_phy(nid_tra,"de_d",itau_w,pde_d)
-     CALL histwrite_phy(nid_tra,"de_u",itau_w,pde_u)
-     CALL histwrite_phy(nid_tra,"coefh",itau_w,coefh)
+     CALL histwrite_phy(nid_tra,.FALSE.,"pplay",itau_w,pplay)     
+     CALL histwrite_phy(nid_tra,.FALSE.,"T",itau_w,t_seri)     
+     CALL histwrite_phy(nid_tra,.FALSE.,"mfu",itau_w,pmfu)
+     CALL histwrite_phy(nid_tra,.FALSE.,"mfd",itau_w,pmfd)
+     CALL histwrite_phy(nid_tra,.FALSE.,"en_u",itau_w,pen_u)
+     CALL histwrite_phy(nid_tra,.FALSE.,"en_d",itau_w,pen_d)
+     CALL histwrite_phy(nid_tra,.FALSE.,"de_d",itau_w,pde_d)
+     CALL histwrite_phy(nid_tra,.FALSE.,"de_u",itau_w,pde_u)
+     CALL histwrite_phy(nid_tra,.FALSE.,"coefh",itau_w,coefh)
 
      IF (ok_sync) THEN
@@ -81,4 +81,4 @@
      ENDIF
 
-  ENDIF !ecrit_tra>0. .AND. config_inca == 'none'
+  ENDIF !ecrit_tra>0.
 
